Subject: Re: bug#19660: Acknowledgement (24.4.51; Crash in draw_row_fringe_bitmaps)

From: "Jan D." <[email-masked]>
Date: Mon, 26 Jan 2015 10:12:35 +0100

Eli Zaretskii skrev den 2015-01-25 16:46:
>> From: "Jan D." <[email-masked]>
>> Date: Sun, 25 Jan 2015 10:17:20 +0100
>>
>> Fixed, but it would be nice to know why this function needs input blocked.
>
> This was there since day one, according to the history.  Unless Kim,
> who wrote it (CC'ed), can recollect why he put the assertion there,
> I'm afraid the reason is lost in time.  My wild guess would be that
> the reason is this function calls X APIs to actually draw stuff, and
> many of those block input.  Perhaps Kim wasn't sure whether input
> should be blocked here.
>
> If no other information emerges, my suggestion would be to remove the
> assertion on master, and see if we get any bug reports.

No need for that, the NS version crashes later on if I remove that 
assert.  Better block input too much than to seldom I guess.
Unfortunately I managed to loose my .desktop that consistently triggered 
the error, so I can't investigate further.

	Jan D.